# Retrieve the versions and statuses of a taxonomy

Lists the versions and statuses of a specific taxonomy, in a specific branch.

Endpoint: GET /api/v2/cm/branches/{branchId}/taxonomies/{taxonomyId}/versions
Version: v2.0
Security: OAuth2.0

## Path parameters:

  - `branchId` (string, required)
    The ID of the branch, for example prod.

  - `taxonomyId` (string, required)
    The ID of the taxonomy, for example color.

## Response 200 fields (application/json):

  - `versionsStatuses` (array,null)

  - `versionsStatuses.version` (integer)

  - `versionsStatuses.status` (string)
    Enum: "Draft", "Published", "Archived"

## Response 401 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 404 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


## Response 500 fields
